> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNSSEC DS

> Get DNSSEC DS for a DNS zone.



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/zones/{name}/dnssec
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/zones/{name}/dnssec:
    get:
      tags:
        - DNSSEC
      summary: Get DNSSEC DS
      description: Get DNSSEC DS for a DNS zone.
      operationId: GetDNSSECDS
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: GetDNSSECDSResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDNSSECDSResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            dnssec = client.dns.zones.dnssec.get(
                "name",
            )
            print(dnssec.uuid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdnssec, err := client.DNS.Zones.Dnssec.Get(context.TODO(), \"name\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", dnssec.Uuid)\n}\n"
components:
  schemas:
    GetDNSSECDSResponse:
      type: object
      properties:
        algorithm:
          type: string
          description: Specifies the algorithm used for the key.
          example: '13'
        digest:
          type: string
          description: Represents the hashed value of the DS record.
          example: 28D2F00FB7FD127C05D1CE02BFA8660B094CA6728B1619ABA2144234F7221069
        digest_algorithm:
          type: string
          description: Specifies the algorithm used to generate the digest.
          example: SHA256
        digest_type:
          type: string
          description: Specifies the type of the digest algorithm used.
          example: '2'
        ds:
          type: string
          description: Represents the complete DS record.
          example: >-
            zxy.com. 3600 IN DS 26191 13 2
            135E208FF18578AB18C1EB8EA064BE08324DCBA6CF08FF55D76F0DBD4BF49F07
        flags:
          type: integer
          description: Represents the flag for DNSSEC record.
          format: int64
          example: 257
        key_tag:
          type: integer
          description: Represents the identifier of the DNSKEY record.
          format: int64
          example: 26191
        key_type:
          type: string
          description: Specifies the type of the key used in the algorithm.
          example: ECDSAP256SHA256
        public_key:
          type: string
          description: Represents the public key used in the DS record.
          example: >-
            ahD2C5Th+4NIFmErQPgSe/j6yPc2pbuhr3QcOJImCYHtv/mR/2qP2yHjBE1x20ERnmAnp6e6//g0uYAQKTW+DA==
        uuid:
          type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````